package com.bocloud.cmp.model;

/**
 * 监听器rules
 *
 * @author ymh
 * @时间 2019年2月20日
 */
public class LbListenerRulesModel {
    private String domain;
    private String locationId;
    private String scheduler;
    private String url;
    private Integer sessionExpireTime;
    private Integer healthNum;
    private Integer healthSwitch;
    private String httpCheckDomain;
    private String httpCheckMethod;
    private String httpCheckPath;
    private Integer httpCode;
    private Integer intervalTime;
    private Integer timeOut;
    private Integer unHealthNum;

    public String getDomain() {
        return domain;
    }

    public void setDomain(String domain) {
        this.domain = domain;
    }

    public String getLocationId() {
        return locationId;
    }

    public void setLocationId(String locationId) {
        this.locationId = locationId;
    }

    public String getScheduler() {
        return scheduler;
    }

    public void setScheduler(String scheduler) {
        this.scheduler = scheduler;
    }

    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url;
    }

    public Integer getHealthNum() {
        return healthNum;
    }

    public void setHealthNum(Integer healthNum) {
        this.healthNum = healthNum;
    }

    public Integer getHealthSwitch() {
        return healthSwitch;
    }

    public void setHealthSwitch(Integer healthSwitch) {
        this.healthSwitch = healthSwitch;
    }

    public String getHttpCheckDomain() {
        return httpCheckDomain;
    }

    public void setHttpCheckDomain(String httpCheckDomain) {
        this.httpCheckDomain = httpCheckDomain;
    }

    public String getHttpCheckMethod() {
        return httpCheckMethod;
    }

    public void setHttpCheckMethod(String httpCheckMethod) {
        this.httpCheckMethod = httpCheckMethod;
    }

    public String getHttpCheckPath() {
        return httpCheckPath;
    }

    public void setHttpCheckPath(String httpCheckPath) {
        this.httpCheckPath = httpCheckPath;
    }

    public Integer getHttpCode() {
        return httpCode;
    }

    public void setHttpCode(Integer httpCode) {
        this.httpCode = httpCode;
    }

    public Integer getIntervalTime() {
        return intervalTime;
    }

    public void setIntervalTime(Integer intervalTime) {
        this.intervalTime = intervalTime;
    }

    public Integer getTimeOut() {
        return timeOut;
    }

    public void setTimeOut(Integer timeOut) {
        this.timeOut = timeOut;
    }

    public Integer getUnHealthNum() {
        return unHealthNum;
    }

    public void setUnHealthNum(Integer unHealthNum) {
        this.unHealthNum = unHealthNum;
    }

    public Integer getSessionExpireTime() {
        return sessionExpireTime;
    }

    public void setSessionExpireTime(Integer sessionExpireTime) {
        this.sessionExpireTime = sessionExpireTime;
    }
}
